--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: exec_format
  rw: W
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: exec_format
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: The installer class processes RubyGem .gem files and installs the files contained in the .gem into the Gem.path.
- !ruby/struct:SM::Flow::P 
  body: Gem::Installer does the work of putting files in all the right places on the filesystem including unpacking the gem into its gem dir, installing the gemspec in the specifications dir, storing the cached gem in the cache dir, and installing either wrappers or symlinks for executables.
constants: []

full_name: Gem::Installer
includes: 
- !ruby/object:RI::IncludedModule 
  name: Gem::UserInteraction
- !ruby/object:RI::IncludedModule 
  name: Gem::RequirePathsBuilder
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: app_script_text
- !ruby/object:RI::MethodSummary 
  name: build_extensions
- !ruby/object:RI::MethodSummary 
  name: ensure_dependency
- !ruby/object:RI::MethodSummary 
  name: extract_files
- !ruby/object:RI::MethodSummary 
  name: formatted_program_filename
- !ruby/object:RI::MethodSummary 
  name: generate_bin
- !ruby/object:RI::MethodSummary 
  name: generate_bin_script
- !ruby/object:RI::MethodSummary 
  name: generate_bin_symlink
- !ruby/object:RI::MethodSummary 
  name: generate_windows_script
- !ruby/object:RI::MethodSummary 
  name: install
- !ruby/object:RI::MethodSummary 
  name: installation_satisfies_dependency?
- !ruby/object:RI::MethodSummary 
  name: shebang
- !ruby/object:RI::MethodSummary 
  name: unpack
- !ruby/object:RI::MethodSummary 
  name: windows_stub_script
- !ruby/object:RI::MethodSummary 
  name: write_spec
name: Installer
superclass: Object
